Redmine - Defect #32740

Incorrect characters when copying out of a Redmine generated PDF
2020-01-02 15:34 - liam Bosh

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version: 4.2.10

Resolution: Fixed Affected version: 4.0.6
Description

When copying the text out of a Redmine generated PDF opened in Adobe Acrobat DC (2019.021.20058) the text when pasted is just
shown as squares rather than the actual text.

i.e.

"Description

Jkik"

becomes

Related issues:
Related to Redmine - Patch #38272: Update RBPDF to 1.21 Closed

History

#1 - 2020-01-05 11:03 - Go MAEDA

- Status changed from New to Confirmed

Probably the issue is caused by rbpdf.

| have confirmed that the reported mojibake is reproducible when rbpdf 1.19.4 or later is installed. The copied text was pasted propery when | updated
Gemfile as follows:

diff --git a/Gemfile b/Gemfile

index 354adc747..258b4516a 100644

-—— a/Gemfile

+++ b/Gemfile

@@ -13,7 +13,7 @@ gem "mail", "~> 2.7.1"
gem "csv", "~> 3.1.1"

gem "nokogiri", "~> 1.10.0"

gem "il8n", "~> 1.6.0"

—gem "rbpdf", "~> 1.20.0"

+gem "rbpdf", "1.19.3"

# Windows does not include zoneinfo files, so bundle the tzinfo-data gem
gem 'tzinfo-data', platforms: [:mingw, :x64_mingw, :mswin]

Please note that the above workaround causes other problems such as #28565 and #28125.

#2 - 2020-01-05 11:04 - Go MAEDA
- Affected version changed from 4.1.0 to 4.0.6

#3 - 2023-02-13 15:46 - Jun NAITOH
| fixed it with rbpdf 1.21.0.

The fixed issues is as follows.

e https://github.com/naitoh/rbpdf/pull/71

#4 - 2023-02-13 15:49 - Go MAEDA
- Related to Patch #38272: Update RBPDF to 1.21 added
https://rubygems.org/gems/rbpdf
https://www.redmine.org/issues/28565
https://www.redmine.org/issues/28125
https://github.com/naitoh/rbpdf/pull/71

#5 - 2023-02-14 10:54 - Go MAEDA

- Status changed from Confirmed to Closed
- Assignee set to Go MAEDA

- Target version set to 4.2.10

- Resolution set to Fixed
Jun NAITOH wrote:
| fixed it with rbpdf 1.21.0.

The fixed issues is as follows.

e https://github.com/naitoh/rbpdf/pull/71

RBPDF has been updated in r22102, r22103, and r22104. The issue will be fixed in Redmine 4.2.10 and 5.0.5.
https://github.com/naitoh/rbpdf/pull/71
https://www.redmine.org/projects/redmine/repository/svn/revisions/22102
https://www.redmine.org/projects/redmine/repository/svn/revisions/22103
https://www.redmine.org/projects/redmine/repository/svn/revisions/22104
http://www.tcpdf.org

